Bug 156394 - [MAINTAINER] www/mnogosearch Add SQLite3 option & set to default
Summary: [MAINTAINER] www/mnogosearch Add SQLite3 option & set to default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-14 10:40 UTC by Chris Rees
Modified: 2011-04-17 01:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-04-14 10:40:01 UTC

Fix: - Add new OPTION for SQLite 3 support & set default
	- Make DATADIR and ETCDIR safe

	Submitted by: Chris Rees (utisoft_at_gmail.com) (maintainer)
	Requested by: Panagiotis Christias



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--pVHqMSoxPLN1ugLgILYurWP48ZFnVEe1UrdpzghzNwtiFicx
Content-Type: text/plain; name="mnogosearch-sqlite3.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="mnogosearch-sqlite3.diff"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/www/mnogosearch/Makefile,v
retrieving revision 1.82
diff -u -r1.82 Makefile
--- Makefile	8 Mar 2011 19:17:51 -0000	1.82
+++ Makefile	14 Apr 2011 09:26:26 -0000
@@ -24,16 +24,17 @@
 		PGSQL   "Use PGSQL"				off \
 		MSQL    "Use MSQL"				off \
 		MYSQL   "Use MySQL"				off \
-		SQLITE  "Use SQLite 2.x"		on
+		SQLITE  "Use SQLite 2.x"		off \
+		SQLITE3 "Use SQLite 3.x"		on
 
 USE_LDCONFIG=	yes
 USE_GNOME=	lthack
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool
 CONFIGURE_ARGS+=--enable-shared \
-		--sysconfdir=${PREFIX}/etc/mnogosearch \
+		--sysconfdir=${ETCDIR} \
 		--localstatedir=/var/mnogosearch \
-		--datadir=${PREFIX}/share/mnogosearch
+		--datadir=${DATADIR}
 CONFIGURE_ENV+=	LOCALBASE="${LOCALBASE}"
 MAKE_ENV+=	MKDIRPROG="${MKDIR}"
 
@@ -84,13 +85,18 @@
 CONFIGURE_ARGS+=	--with-mysql=${LOCALBASE}
 .endif
 
-.ifndef WITHOUT_SQLITE
+.ifdef WITH_SQLITE
 USE_SQLITE=	2
 CONFIGURE_ARGS+=	--with-sqlite=${LOCALBASE}
 .endif
 
+.ifndef WITHOUT_SQLITE3
+USE_SQLITE=	3
+CONFIGURE_ARGS+=	--with-sqlite3=${LOCALBASE}
+.endif
+
 .if defined(WITHOUT_SQLITE) && !defined(WITH_MYSQL) && \
-    !defined(WITH_MSQL) && !defined(WITH_PGSQL)
+    !defined(WITH_MSQL) && !defined(WITH_PGSQL) && !defined(WITH_SQLITE3)
 IGNORE=	needs at least one database driver
 .endif
Comment 1 Beech Rintoul freebsd_committer 2011-04-15 22:21:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 dfilter service freebsd_committer 2011-04-17 01:10:48 UTC
beech       2011-04-17 00:10:34 UTC

  FreeBSD ports repository

  Modified files:
    www/mnogosearch      Makefile 
  Log:
  - Add new OPTION for SQLite 3 support & set default
  - Make DATADIR and ETCDIR safe
  
  PR:             ports/156394
  Submitted by:   Chris Rees (utisoft_at_gmail.com) (maintainer)
  Approved by:    itetcu (mentor)(implicit)
  
  Revision  Changes    Path
  1.83      +11 -5     ports/www/mnogosearch/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Beech Rintoul freebsd_committer 2011-04-17 01:11:35 UTC
State Changed
From-To: open->closed

Committed, Thanks!